import request from '@/utils/httpRequest'
import { BUSINESS_PATH as prefix } from "../AppPath";

export default class EvectionService{
	list (param) {
		return request({
			url: prefix +'/evection/evectionList',
			method: 'get',
			params: param
		})
	}

	saveForm (inputForm) {
		return request({
			url: prefix + `/evection/saveForm`,
			method: 'post',
			data: inputForm
		})
	}

	queryById (id) {
		return request({
			url: prefix +'/evection/findById',
			method: 'get',
			params: {id: id}
		})
	}

	updateStatusById(data) {
		return request({
			url: prefix + "/evection/updateStatusById",
			method: "post",
			data: data,
		})
	}
	delete (ids) {
		return request({
			url: prefix+"/evection/delete",
			method: 'delete',
			params: {id: ids}
		})
	}


	adminEditForm(param){
		return request({
			url: prefix + "/evection/adminEditForm",
			method: "post",
			data: param,
		})
	}

	exportFile(params) {
		return request({
			url: prefix + "/evection/export",
			method: "get",
			params: params,
			responseType: "blob",
		});
	}

}
